﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Kresleni1
{
    enum Shape { NONE, LINE, RECTANGLE, ELLIPSE }
    public partial class Form1 : Form
    {
        private Shape shape=Shape.NONE;
        private Pen pen = Pens.Black;
        public Form1()
        {
            InitializeComponent();
            pictureBox1.Image = new Bitmap(pictureBox1.Width, pictureBox1.Height);        
        }

        private void ComboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            shape = (Shape)comboBox1.SelectedIndex+1;
        }

        private void PictureBox1_MouseDown(object sender, MouseEventArgs e)
        {
            using (Graphics g = Graphics.FromImage(pictureBox1.Image))
            {
                switch (shape)
                {
                    case Shape.LINE:
                        g.DrawLine(pen, e.X, e.Y, e.X+(int)numericUpDown1.Value,e.Y+(int)numericUpDown2.Value);
                        break;
                    case Shape.RECTANGLE:
                        g.DrawRectangle(pen, e.X, e.Y, (int)numericUpDown1.Value, (int)numericUpDown2.Value);
                        break;
                    case Shape.ELLIPSE:

                        g.DrawEllipse(pen, e.X, e.Y, (int)numericUpDown1.Value, (int)numericUpDown2.Value);
                        break;
                }
                pictureBox1.Refresh();
            }
        }

        private void Button2_Click(object sender, EventArgs e)
        {
            if(colorDialog1.ShowDialog() == DialogResult.OK)
            {
                pen = new Pen(colorDialog1.Color);
            }
        }

        private void Button1_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        private void Button3_Click(object sender, EventArgs e)
        {
            if(saveFileDialog1.ShowDialog() == DialogResult.OK) 
            { 
                pictureBox1.Image.Save(saveFileDialog1.FileName);
            }
        }
    }
}
